Bug 172966 - Problem registering user name, problem with the RedHat login module
Problem registering user name, problem with the RedHat login module
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Ken Reilly
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-11 12:25 EST by miguel borbon
Modified: 2013-02-26 19:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:26:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description miguel borbon 2005-11-11 12:25:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041215 Firefox/1.0 Red Hat/1.0-12.EL4

Description of problem:
I have a registred account, when I try to activate the service, selecting "I have an exixting RedHat login", I write my login and password, then push the "forward" button, but, it shows me the "Why register" window, and I cant regirter the product.



The error showed is:

[root@gprs Desktop]# https://xmlrpc.rhn.redhat.com/XMLRPC foo
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 442, in onLoginPageNext
    ret = self.loginPageApply()
  File "/usr/share/rhn/up2date_client/rhnregGui.py", line 148, in loginPageApply
    self.getCaps()
  File "/usr/share/rhn/up2date_client/rhnregGui.py", line 90, in getCaps
    caps = rhnreg.getCaps()
  File "/usr/share/rhn/up2date_client/rhnreg.py", line 216, in getCaps
    rpcServer.doCall(s.registration.welcome_message)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 309, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/lib/python2.3/xmlrpclib.py", line 1029, in __call__
    return self.__send(self.__name, args)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 45, in _request1
    ret = self._request(methodname, params)
  File "/usr/lib/python2.3/site-packages/rhn/rpclib.py", line 308, in _request
    verbose=self._verbose
  File "/usr/lib/python2.3/site-packages/rhn/transports.py", line 168, in reques t
    headers, fd = req.send_http(host, handler)
  File "/usr/lib/python2.3/site-packages/rhn/transports.py", line 693, in send_h ttp
    self._connection.connect()
  File "/usr/lib/python2.3/site-packages/rhn/connections.py", line 244, in conne ct
    response = HTTPConnection.getresponse(self)
  File "/usr/lib/python2.3/site-packages/rhn/connections.py", line 143, in getre sponse
    response.begin()
  File "/usr/lib/python2.3/site-packages/rhn/connections.py", line 217, in begin
    HTTPResponse.begin(self)
  File "/usr/lib/python2.3/httplib.py", line 273, in begin
    version, status, reason = self._read_status()
  File "/usr/lib/python2.3/httplib.py", line 237, in _read_status
    raise BadStatusLine(line)
httplib.BadStatusLine


Version-Release number of selected component (if applicable):
kernel - 2.6.9-5

How reproducible:
Always

Steps to Reproduce:
1.  In console, command :  uptodate
2.  click button forward
3.  Write login and password
4.  Clik button forward
5.  Shows "why Register" window
  

Actual Results:  The first time shows me the next message:  "Since there is a problem with the red Hat login Module, Red Hat Setup Agent will not load this module and will attempt to run the remaining modules.

Problem registering user name

Additional info:
Comment 2 Jiri Pallich 2012-06-20 09:26:50 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.